%define cpanname Net-Traceroute

Name:    perl-%{cpanname}
Version: 1.08
Release: 1.ker.rhel4
Summary: Net::Traceroute - traceroute(1) functionality in perl.
License: Distributable
Group:   Development/Libraries
Source0: %{cpanname}-%{version}.tar.gz
URL:     http://search.cpan.org/search?mode=module&query=%{cpanname}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl-Crypt-DES

%description
This module implements traceroute(1) functionality for perl5. It allows you to
trace the path IP packets take to a destination. It is currently implemented as
a parser around the system traceroute command.

%prep
%setup -q -n %{cpanname}-%{version} 

%build
echo | CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc ChangeLog README

%changelog
* Wed Mar 02 2005 Milan Kerslager <kerslage@linux.cz> 5.0.1-1.ker.rhel4
- new package for RHEL4
